package cn.sh.stc.sict.theme.hpgp.service;

import cn.hutool.core.date.DateTime;
import cn.sh.stc.sict.theme.hpgp.model.HpgpBusyIdlePrediction;
import cn.sh.stc.sict.theme.hpgp.model.HpgpDepartmentRank;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * 黄浦全科导诊——忙闲预测(HpgpBusyIdle_ prediction)表服务接口
 *
 * @author zhangly
 * @since 2022-01-14 09:56:42
 */

public interface HpgpBusyIdlePredictionService extends IService<HpgpBusyIdlePrediction> {

    /**
     * 忙闲预测
     * @param deptName 标准科室名称
     * @return 忙闲医院科室
     */
    List<HpgpBusyIdlePrediction> busyIdlePrediction(String deptName);

    void statisticResourceInfo(HpgpDepartmentRank dept, Date startDate, Date endDate, Byte flag);

    List<HpgpBusyIdlePrediction> listByDeptRank(HpgpDepartmentRank dept, DateTime startTime, DateTime endTime);
}
